/**
 *    Free Tide Mini is a free harmonic tide predictor
 *    Copyright (C) 2008  Regis COSNIER
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package freetide.data;

/**
 *
 * @author Dgis
 */
public class Constituent
{
	public String name;

	// Speed is in degrees per solar hour.
	public float speeds; // cst_speeds

	// The following table gives loc_amp arguments for each year that
	// we can predict tides for.  The loc_amp argument is in degrees for
	// the meridian of Greenwich, at the beginning of each year.
	public float[] epochs; // cst_epochs

	// Now come the node factors for the middle of each year that we can
	// predict tides for.
	public float[] nodes; // cst_nodes
}
